/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package sbar

import (
	e "simrs-vx/internal/domain/main-entities/sbar"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Sbar) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Employee_Id = inputSrc.Employee_Id
	data.Time = inputSrc.Time
	data.Value = inputSrc.Value
}
